This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 498349 - unquoted whitespace in /etc/sysconfig/network-scripts/ifcfg-eth0
unquoted whitespace in /etc/sysconfig/network-scripts/ifcfg-eth0
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 21:42 EDT by Alexandre Oliva
Modified: 2009-05-05 22:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-05 22:42:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2009-04-29 21:42:26 EDT
Description of problem:
At the end of installation, ifcfg-eth0 contains:

NAME=System eth0

This, when sourced by ifup or ifdown, attempts to run the command eth0 after setting NAME=System.  Oops :-)

AFAICT the only consequence is noise during boot-up or manual ifup/ifdown.

Version-Release number of selected component (if applicable):
F11-Preview
Comment 1 James Ralston 2009-05-05 16:37:54 EDT
I'm seeing this too, after a kickstart-based install.

I haven't tried doing a non-kickstart-based install to see if the same problem exists there.
Comment 2 David Cantrell 2009-05-05 22:40:59 EDT
Fixed in commit b50a4d2c82f5ebd4df4b898c888b3be750f9f418.

Note You need to log in before you can comment on or make changes to this bug.